import React__default from 'react';
import classnames from 'classnames';
import { g as formFieldStyles } from './FormFieldWrapper-es.js';
import { I as Icon } from './Icon-es.js';
import { S as Spinner } from './Spinner-es.js';

function FormFieldPostFix({ variation, visible = true, className, }) {
    if (!visible)
        return null;
    return (React__default.createElement("span", { className: classnames(formFieldStyles.postfix, className) }, variation === "select" ? (React__default.createElement(Icon, { name: "arrowDown" })) : (React__default.createElement(Spinner, { size: "small" }))));
}

export { FormFieldPostFix as F };
